package cz.fi.muni.pa165.dao;

import cz.fi.muni.pa165.entity.Musician;

import java.util.List;

/**
 * @author Zuzana Tunegová
 */
public interface MusicianDao {

    void create(Musician musician);

    Musician findById(Long id);

    List<Musician> findByName(String name);

    void update(Musician musician);

    void delete(Musician musician);
}
