package cz.fi.muni.pa165.dao;

import cz.fi.muni.pa165.entity.Album;

import java.util.List;

/**
 * @author David Sapák
 */
public interface AlbumDao {

    void create(Album album);

    Album findById(Long id);

    List<Album> findByName(String name);

    void update(Album album);

    void delete(Album album);
}
